cvm (0.97-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:58:49 +0000

cvm (0.97-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061994

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:24:25 +0000

cvm (0.97-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libbg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:24:32 +0100

cvm (0.97-2) unstable; urgency=medium

  * QA upload.
  * Use group targets in sql-query.{o,lo} rule to fix parallel build

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 27 Aug 2020 18:16:24 +0200

cvm (0.97-1) unstable; urgency=medium

  * QA upload.
  * d/control:
    + Set QA Group as Maintainer (Orphan bug: #947695)
    + Move homepage from description to its own field
    + Use https version of the Homepage
    + Use Rules-Requires-Root: no
    + Bump Standard-Version to 4.5.0
    + Add Vcs-Browser and Vcs-Git, pointing to salsa project
    + Set debhelper-compat to 13
    + Add missing ${misc:Depends} dependency to binary packages
    + Remove redundant Section field for some binary packages
    + Remove unused build dependencies: vim, sqlite3, libsqlite3-dev
    + Add a short text to long description to differentiate binary packages
    + Add missing dependency xxd required to run tests
  * Migrate to dh: (Closes: #848588)
    + Remove rules.orig
    + Drop d/implicit
    + Replace d/rules by a dh compatible rules
    + Override dh_auto_build to build 3 specific targets (all, mysql, pgsql)
      and inject correct FLAGS for building and linking (via conf-* files).
    + Override dh_auto_clean to cleanup generated conf-* files
    + Override dh_auto_install to force install tool to work with DESTDIR
    + Override dh_auto_test to run ./tests.sh
    + Add .install files for binary package
    + Exclude *.la files in d/not-installed
    + Remove unused post{inst,rm}
    + Use hardening=+all flags
  * Replace upstream signing key by its minimal version
  * Convert copyright to DEP5
  * Move all manpages to d/manpages
  * Add ${pkg}.manpages for cvm, cvm-mysql and cvm-pgsql
  * Use recommended branch name from DEP14
  * Add salsa pipeline CI
  * Register development docs with doc-base
  * Add patch to exclude sqlite test case from tests.sh as sqlite cvm tools
    are not built in Debian packaging
  * Fix typo in package name in d/cvm.README.Debian
  * Use better url source for d/watch
  * Skip tests/qmail-lookup-perms and tests/vmlookup-notable tests when run as
    root
  * Override package-name-doesnt-match-sonames for libcvm1

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 21 Aug 2020 21:43:30 +0200

cvm (0.97-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Make build reproducible (Closes: #813944)
    - thanks Reiner for the patch

  [ Dmitry Bogatov ]
  * Non-maintainer upload.
  * New upstream release (compatible with bglibs >= 2.03)
  * Write watch file and verify GPG signature
  * Upgrade dependendency on bglibs (libbg1-dev -> libbg-dev >= 2.03)
  * Drop rpath related patch (fixed upstream)
  * Adjust debian/rules to changed upstream Makefile
  * Add ldconfig trigger

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 17 Feb 2017 12:42:51 +0300

cvm (0.96-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Build-Depends from libmysqlclient-dev to
    default-libmysqlclient-dev. (Closes: #845832)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 18 Dec 2016 17:07:58 +0000

cvm (0.96-1.2) unstable; urgency=medium

  * Non-maintainer upload on request of the maintainer.
  * Update build-depends to libmysqlclient-dev; thanks to Clint Byrum.
    Closes: #650426
  * Add "Section" header to debian/control; thanks to Stefano Rivera.
    Closes: #582283
  * Update padding in tests.sh so tests/vmailmgr-xconvert doesn't fail.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 01 Jul 2015 16:02:36 +0400

cvm (0.96-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761742.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:20:24 +0000

cvm (0.96-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/0001-tests.sh-fix-variables-in-selftests.diff: remove;
    fixed upstream.
  * debian/rules: workaround non-working variable assignment with dash
    as sh.
  * debian/control: Build-Depends: libsqlite3-dev, sqlite3.
  * debian/rules: build the new cvm-sqlite.
  * debian/diff/0001-Makefile-avoid-rpath-workaround-some-...diff:
    adapt for cvm-sqlite.
  * debian/rules: don't install cvm-sqlite for now.

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 Apr 2010 02:27:30 +0000

cvm (0.90-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: mostly redo; build, install new packages; drop diet
    libraries for now.
  * debian/control: change binary package cvm-dev to libcvm1-dev,
    lib-cvm1, providing shared and static libraries; no longer
    Build-Depends: dietlibc-dev; Build-Depends: libbg1-dev, libtool
    Standards-Version: 3.7.3.0.
  * debian/cvm-*.[78]: add description to NAME.
  * debian/diff/0001-tests.sh-fix-variables-in-selftests.diff: new;
    redo tests.diff with git.
  * debian/diff/0002-Makefile-avoid-rpath-workaround-some...diff: new;
    Makefile: avoid rpath; workaround some linking issues.
  * README.Debian.diet, debian/cvm.docs: remove; drop for now.
  * debian/cvm-dev.README.Debian, debian/cvm-dev.docs: rename to
    libcvm1-dev.* respectively.
  * debian/libcvm1-dev.docs: adapt paths.
  * libcvm1.postinst, libcvm1.postrm: new; run ldconfig on configure,
    remove.
  * debian/libcvm1-dev.README.Debian: adapt.

 -- Gerrit Pape <pape@smarden.org>  Fri, 02 May 2008 18:26:33 +0000

cvm (0.76-2) unstable; urgency=low

  * re-build with current dietlibc in sid (fixed build failure on hppa).
  * debian/control: Build-Depends: libmysqlclient15-dev (closes: #343765).

 -- Gerrit Pape <pape@smarden.org>  Fri, 23 Dec 2005 15:06:49 +0000

cvm (0.76-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove version restriction from Build-Depends:
    dietlibc-dev; add Build-Depends: vim, freecdb (for selftests).
  * debian/diff/libbg.diff: remove; obsolete.
  * debian/diff/tests.diff: new; fix variables in selftests.
  * debian/rules: run selftests.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 09:11:31 +0000

cvm (0.71-2) unstable; urgency=low

  * debian/diff/libbg.diff: new; upstream Makefile: add -lbg when linking
    inst* programs (required by recent bglibs).
  * debian/rules: apply diffs in debian/diff/ to gnu/ and diet/; query
    pg_config program for postgresql includes path (thx Martin Pitt).
  * debian/control: Build-Depends: libpq-dev instead of postgresql-dev;
    Build-Depends: libmysqlclient12-dev instead of libmysqlclient-dev.

 -- Gerrit Pape <pape@smarden.org>  Thu, 16 Jun 2005 18:37:53 +0000

cvm (0.71-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.020-0), dietlibc-dev
    (>> 0.29-0) [archs].
  * debian/rules: adapt; use upstream install target.
  * debian/diff/ld.diff: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Jun 2005 18:08:48 +0000

cvm (0.50-1) unstable; urgency=low

  * new upstream version.
  * debian/rules, debian/diff/ld.diff: adapt.

 -- Gerrit Pape <pape@smarden.org>  Tue, 24 May 2005 11:24:51 +0000

cvm (0.33-1) unstable; urgency=low

  * new upstream version.
  * debian/cvm-pwfile.8: merge changes from upstream cvm-pwfile.html.
  * debian/diff/ld.diff: adapt.

 -- Gerrit Pape <pape@smarden.org>  Sun,  8 May 2005 20:36:21 +0000

cvm (0.32-2) unstable; urgency=low

  * debian/control: add Build-Depends: dietlibc-dev [ppc64].
  * debian/rules: add ppc64 to DIET_ARCHS.

 -- Gerrit Pape <pape@smarden.org>  Sun, 13 Mar 2005 14:02:43 +0000

cvm (0.32-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: adapt, 2005.
  * debian/diff/ld.diff: adapt.
  * debian/rules: strip diet binaries if DEB_BUILD_OPTIONS=diet is set.

 -- Gerrit Pape <pape@smarden.org>  Sat, 15 Jan 2005 11:32:52 +0000

cvm (0.31-3) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>= 0.27-7) (works around
    build failure on ia64 #286840).

 -- Gerrit Pape <pape@smarden.org>  Thu, 23 Dec 2004 22:31:56 +0000

cvm (0.31-2) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev (>= 0.27-6) (fixes build
    failure on mips/el), bglibs-dev.
  * debian/diff/ld.diff: new; workaround weird linker problem with stackgap
    enabled diet libc.
  * debian/rules: apply diff for diet lib; remove workaround for 0.30.

 -- Gerrit Pape <pape@smarden.org>  Wed, 22 Dec 2004 08:47:24 +0000

cvm (0.31-1) unstable; urgency=low

  * new upstream version.
  * debian/control: new binary packages cvm-mysql, cvm-pgsql; Build-Depends:
    libmysqlclient-dev, postgresql-dev.
  * debian/rules: build cvm-mysql, cvm-pgsql packages.
  * debian/cvm-benchclient.8, debian/cvm-checkpassword.8, debian/cvm-pwfile.8,
    debian/cvm-testclient.8, debian/cvm-unix.8: cleanup.
  * debian/cvm-mysql.8, debian/cvm-pgsql.8, debian/cvm-qmail.8,
    debian/cvm-sql.7, debian/cvm-vmailmgr.8: new; man pages for new programs.

 -- Gerrit Pape <pape@smarden.org>  Wed, 17 Nov 2004 15:22:10 +0000

cvm (0.20-2) unstable; urgency=low

  * debian/control: Build-Depends: dietlibc-dev [archs it is available for].

 -- Gerrit Pape <pape@smarden.org>  Sat,  6 Nov 2004 14:17:15 +0000

cvm (0.20-1) unstable; urgency=low

  * new upstream version.
  * orig.tar.gz contains upstream tar.gz.
  * debian/rules: reorganize; cvm-dev: build additional libraries compiled
    against diet libc; support DEB_BUILD_OPTIONS=diet for cvm package.
  * debian/implicit: update to revision 1.10.
  * debian/README.Debian.diet: new; how to build cvm package with diet libc.
  * debian/cvm.docs: new; install debian/README.Debian.diet
  * debian/copyright: minor.
  * debian/control: Build-Depends: dietlibc-dev.
  * debian/cvm-dev.docs: adapt.

 -- Gerrit Pape <pape@smarden.org>  Fri,  5 Nov 2004 17:34:17 +0000

cvm (0.18-2) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; Standards-Version:
    3.6.1.0.
  * debian/rules: stop using debhelper, use implicit Makefile rules.
  * debian/implicit: new; implicit rules.
  * debian/cvm-dev.files, debian/cvm.files, debian/undocumented: remove;
    obsolete.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Dec 2003 15:48:51 +0000

cvm (0.18-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Nov 2003 10:34:29 +0000

cvm (0.17-1) unstable; urgency=low

  * new upstream version.
  * debian/cvm-testclient.8: adapt synopsis.
  * insthier.c: typo.

 -- Gerrit Pape <pape@smarden.org>  Fri, 23 May 2003 10:42:21 +0200

cvm (0.16-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Wed, 23 Apr 2003 10:10:35 +0200

cvm (0.15-2) unstable; urgency=low

  * debian/rules: force removal of all dependencies and targets before
    re-making targets installer and instcheck, to avoid race condition
    (fixes build failure on alpha; see also #153253 for details).

 -- Gerrit Pape <pape@smarden.org>  Tue, 22 Apr 2003 15:05:39 +0200

cvm (0.15-1) unstable; urgency=low

  * new upstream version.
  * debian/control: build depend on bglibs-dev; new package cvs-dev:
    static libraries, header files, and docs; Standards-Version 3.5.9.
  * debian/copyright: refer to /usr/share/common-licenses/GPL-2.
  * debian/cvm-testclient.8: adapt synopsis.
  * debian/rules: adapt to upstream build changes; build and install
    cvm-dev package.
  * debian/cvm-dev.docs, debian/cvm-dev.files, debian/cvm.files,
    debian/cvm.README.Debian, debian/cvm-dev.README.Debian: new.
  * debian/docs, debian/dirs, debian/README.Debian: remove.

 -- Gerrit Pape <pape@smarden.org>  Thu, 17 Apr 2003 00:06:40 +0200

cvm (0.11-2) unstable; urgency=low

  * debian/control: new description (thx Andrew Pimlott).
  * debian/cvm-benchclient.8, debian/cvm-checkpassword.8,
    debian/cvm-pwfile.8, debian/cvm-testclient.8, debian/cvm-unix.8:
    contribute man pages.

 -- Gerrit Pape <pape@smarden.org>  Tue,  9 Apr 2002 10:21:24 +0200

cvm (0.11-1) unstable; urgency=low

  * Initial Release (closes: #120172).

 -- Gerrit Pape <pape@smarden.org>  Fri, 23 Nov 2001 16:15:12 +0100
